#!/bin/bash

######### Instalacion GopiGo3 #############
curl -kL dexterindustries.com/update_gopigo3 | bash

echo "Finished installed GopiGo3"

######## Actualizar el firmware GopiGo3 ####

mv ~/Dexter/GoPiGo3/Firmware/archives/GoPiGo3_Firmware_0.3.4.bin ~/Dexter/GoPiGo3/Firmware/
rm ~/Dexter/GoPiGo3/Firmware/GoPiGo3_Firmware_1.0.0.bin
chmod +x ~/Dexter/GoPiGo3/Firmware/gopigo3_flash_firmware.sh
bash ~/Dexter/GoPiGo3/Firmware/gopigo3_flash_firmware.sh

echo "Finished updated firmware GopiGo3"

###### Crear entorno virtual para python3.7 ###
pip install gopigo3
python3 -m venv ~/.virtualenvs/gopigo
source ~/.virtualenvs/gopigo/bin/activate
pip install gopigo3
pip install numpy
pip install pandas
pip install Flask
deactivate

echo "Finished python virtualenv"

### Añadir ip estatica ###
sudo service dhcpcd status
sudo service dhcpcd start
sudo systemctl enable dhcpcd

echo -e "\ninterface wlan0\nstatic ip_address=192.168.1.200/24\nstatic routers=192.168.1.1\nstatic domain_name_servers=192.168.1.1" >> /etc/dhcpcd.conf

echo "Process finished"

read -p "You need to restart the device. Do you want to restart it? [y/n]: " restart
if [ "$restart" = "y" ]; then
        sudo reboot
fi



